Issues
Get issue
GET
Get a single issue
ApiKeyAuthheader
X-Redmine-API-Key<token>id*integerFormat
int64include?array<>Fetch associated data
The request has succeeded.
application/json- response
issue*Redmine Issue
curl -X GET 'https://redmine.example.com/issues/0.json'{ "issue": { "id": 0, "project": { "id": 0, "name": "string" }, "tracker": { "id": 0, "name": "string" }, "status": { "id": 0, "name": "string", "is_closed": true }, "priority": { "id": 0, "name": "string" }, "category": { "id": 0, "name": "string" }, "author": { "id": 0, "name": "string" }, "assigned_to": { "id": 0, "name": "string" }, "subject": "string", "description": "string", "done_ratio": 0, "fixed_version": { "id": 0, "name": "string" }, "parent": { "id": 0 }, "start_date": "2019-08-24", "due_date": "2019-08-24", "estimated_hours": 0.1, "spent_hours": 0.1, "total_estimated_hours": 0.1, "total_spent_hours": 0.1, "is_private": true, "custom_fields": [ { "id": 0, "name": "string", "multiple": true, "value": "string" } ], "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "closed_on": "2019-08-24T14:15:22Z", "children": [ { "id": 0, "tracker": { "id": 0, "name": "string" }, "subject": "string", "children": [ {} ] } ], "attachments": [ { "id": 0, "filename": "string", "filesize": 0, "content_type": "string", "description": "string", "content_url": "http://example.com", "thumbnail_url": "http://example.com", "author": { "id": 0, "name": "string" }, "created_on": "2019-08-24T14:15:22Z" } ], "relations": [ { "id": 0, "issue_id": 0, "issue_to_id": 0, "relation_type": "relates", "delay": 0 } ], "changesets": [ { "revision": "string", "user": { "id": 0, "name": "string" }, "comments": "string", "committed_on": "2019-08-24T14:15:22Z" } ], "journals": [ { "id": 0, "user": { "id": 0, "name": "string" }, "notes": "string", "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "updated_by": { "id": 0, "name": "string" }, "private_notes": true, "details": [ { "property": "attr", "name": "string", "old_value": "string", "new_value": "string" } ] } ], "watchers": [ { "id": 0, "name": "string" } ], "allowed_statuses": [ { "id": 0, "name": "string", "is_closed": true, "description": "string" } ] }}